POST v1/05/ICEGATE
No documentation available.
Request Information
Parameters
| Name | Description | Additional information |
|---|---|---|
| details | No documentation available. |
Define this parameter in the request body. |
Request body formats
application/json, text/json
Sample:
{
"Awb": {
"awbnumber": 1
},
"Mawb": {
"awbnumber": 1,
"hawb": "sample string 2"
},
"ASMES01": {
"awbnumber": "sample string 1"
},
"ASMES02": {
"awbnumber": "sample string 1",
"hawb": "sample string 2"
},
"AAICLAS01": {
"awbNumber": "sample string 1",
"location": "sample string 2"
},
"AAICLAS02": {
"awbNumber": "sample string 1",
"hawb": "sample string 2",
"location": "sample string 3"
},
"KALE01": {
"mawb": "sample string 1"
},
"KALE02": {
"awb": "sample string 1",
"hawb": "sample string 2"
},
"DGFT01": {
"iecnumber": "sample string 1"
},
"FOIS01": {
"fnrnumber": "sample string 1"
},
"FOIS02": {
"sttnfrom": "sample string 1",
"sttnto": "sample string 2",
"cmdt": "sample string 3",
"wgontype": "sample string 4"
},
"EWAYBILL01": {
"ewbNo": "sample string 1"
},
"DIGILOCKER01": {
"uid": "sample string 1",
"Name": "sample string 2",
"dob": "sample string 3",
"gender": "sample string 4",
"mobile": "sample string 5",
"consent": "sample string 6"
},
"DIGILOCKER02": {
"otp": "sample string 1",
"code_challenge": "sample string 2",
"code_verifier": "sample string 3"
},
"DIGILOCKER03": {
"code": "sample string 1",
"Code_verifier": "sample string 2"
},
"DIGILOCKER04": {
"panno": "sample string 1",
"PANFullName": "sample string 2",
"consent": "sample string 3",
"token": "sample string 4"
},
"DIGILOCKER05": {
"token": "sample string 1"
},
"ICEGATE01": {
"igmNo": "sample string 1",
"igmDt": "sample string 2"
},
"ICEGATE023": {
"beNo": "sample string 1",
"beDt": "sample string 2"
},
"ICEGATE04": {
"siteId": "sample string 1",
"imoCode": "sample string 2",
"vesselCode": "sample string 3",
"arrivalDate": "sample string 4"
},
"ICEGATE056": {
"sbNo": "sample string 1",
"sbDt": "sample string 2"
},
"ICEGATE07": {
"igmNo": "sample string 1",
"igmDt": "sample string 2"
},
"ICEGATE08": {
"egmNo": "sample string 1",
"egmDt": "sample string 2"
},
"GST01": {
"gstin": "sample string 1"
},
"Type": "sample string 1"
}
application/xml, text/xml
Sample:
<MasterUlipClass xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/eonepayapi.Models">
<AAICLAS01>
<awbNumber>sample string 1</awbNumber>
<location>sample string 2</location>
</AAICLAS01>
<AAICLAS02>
<awbNumber>sample string 1</awbNumber>
<hawb>sample string 2</hawb>
<location>sample string 3</location>
</AAICLAS02>
<ASMES01>
<awbnumber>sample string 1</awbnumber>
</ASMES01>
<ASMES02>
<awbnumber>sample string 1</awbnumber>
<hawb>sample string 2</hawb>
</ASMES02>
<Awb>
<awbnumber>1</awbnumber>
</Awb>
<DGFT01>
<iecnumber>sample string 1</iecnumber>
</DGFT01>
<DIGILOCKER01>
<Name>sample string 2</Name>
<consent>sample string 6</consent>
<dob>sample string 3</dob>
<gender>sample string 4</gender>
<mobile>sample string 5</mobile>
<uid>sample string 1</uid>
</DIGILOCKER01>
<DIGILOCKER02>
<code_challenge>sample string 2</code_challenge>
<code_verifier>sample string 3</code_verifier>
<otp>sample string 1</otp>
</DIGILOCKER02>
<DIGILOCKER03>
<Code_verifier>sample string 2</Code_verifier>
<code>sample string 1</code>
</DIGILOCKER03>
<DIGILOCKER04>
<PANFullName>sample string 2</PANFullName>
<consent>sample string 3</consent>
<panno>sample string 1</panno>
<token>sample string 4</token>
</DIGILOCKER04>
<DIGILOCKER05>
<token>sample string 1</token>
</DIGILOCKER05>
<EWAYBILL01>
<ewbNo>sample string 1</ewbNo>
</EWAYBILL01>
<FOIS01>
<fnrnumber>sample string 1</fnrnumber>
</FOIS01>
<FOIS02>
<cmdt>sample string 3</cmdt>
<sttnfrom>sample string 1</sttnfrom>
<sttnto>sample string 2</sttnto>
<wgontype>sample string 4</wgontype>
</FOIS02>
<GST01>
<gstin>sample string 1</gstin>
</GST01>
<ICEGATE01>
<igmDt>sample string 2</igmDt>
<igmNo>sample string 1</igmNo>
</ICEGATE01>
<ICEGATE023>
<beDt>sample string 2</beDt>
<beNo>sample string 1</beNo>
</ICEGATE023>
<ICEGATE04>
<arrivalDate>sample string 4</arrivalDate>
<imoCode>sample string 2</imoCode>
<siteId>sample string 1</siteId>
<vesselCode>sample string 3</vesselCode>
</ICEGATE04>
<ICEGATE056>
<sbDt>sample string 2</sbDt>
<sbNo>sample string 1</sbNo>
</ICEGATE056>
<ICEGATE07>
<igmDt>sample string 2</igmDt>
<igmNo>sample string 1</igmNo>
</ICEGATE07>
<ICEGATE08>
<egmDt>sample string 2</egmDt>
<egmNo>sample string 1</egmNo>
</ICEGATE08>
<KALE01>
<mawb>sample string 1</mawb>
</KALE01>
<KALE02>
<awb>sample string 1</awb>
<hawb>sample string 2</hawb>
</KALE02>
<Mawb>
<awbnumber>1</awbnumber>
<hawb>sample string 2</hawb>
</Mawb>
<Type>sample string 1</Type>
</MasterUlipClass>
application/x-www-form-urlencoded
Sample:
Response Information
No documentation available.
Response body formats
application/json, text/json
Sample:
{
"Status": true,
"Message": "sample string 2",
"Data": {},
"ReturnValue": "sample string 4",
"DataList": [
{},
{},
{}
],
"error": {
"status": true,
"message": "sample string 2",
"data": {}
}
}
application/xml, text/xml
Sample:
<ResponsesData xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/eonepayapi.Models">
<Data />
<DataList xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d2p1:anyType />
<d2p1:anyType />
<d2p1:anyType />
</DataList>
<Message>sample string 2</Message>
<ReturnValue>sample string 4</ReturnValue>
<Status>true</Status>
<error>
<data />
<message>sample string 2</message>
<status>true</status>
</error>
</ResponsesData>